ranges::v3::reverse_fn Struct Reference
Algorithms

## Public Member Functions

template<typename I , typename S , requires = (BidirectionalIterator<I>() && Sentinel<S, I>() && Permutable<I>())>
I | operator() (I begin, S end_) const
template<typename Rng , typename I = iterator_t<Rng>, requires = (BidirectionalRange<Rng>() && Permutable<I>())>
safe_iterator_t< Rng > | operator() (Rng &&rng) const